Summary: Samba 4.16 packages from the CentOS Storage SIG repository
Name: centos-release-samba416
Version: 1.0
Release: 1.1%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Samba-416.repo
%if 0%{?centos} >= 8
BuildRequires: systemd
%endif
BuildArch: noarch

%if 0%{?centos} >= 8
Requires: centos-release >= 8.1
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif
# This provides the public key to verify the RPMs
Requires: centos-release-storage-common

Provides: centos-release-samba = 416

%description
yum configuration for Samba 4.16 packages from the CentOS Storage SIG. For more
details about the release and maintenance schedule, see
https://wiki.samba.org/index.php/Samba_Release_Planning

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Samba-416.repo

%if 0%{?centos} >= 8
%post
%systemd_post

%preun
%systemd_preun

%postun
%systemd_postun
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Samba-416.repo

%changelog
* Tue Mar 22 2022 Anoop C S <anoopcs@samba.org> - 1.0-1
- Initial version
